Bug 197868 - Fix devel/py-gevent build with clang 3.6.0
Summary: Fix devel/py-gevent build with clang 3.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks: 197395
  Show dependency treegraph
 
Reported: 2015-02-20 22:38 UTC by Dimitry Andric
Modified: 2015-02-21 15:13 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
Fix positioning of _Noreturn attribute for py-gevent's copy of libev (1.15 KB, patch)
2015-02-20 22:38 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2015-02-20 22:38:03 UTC
Created attachment 153252 [details]
Fix positioning of _Noreturn attribute for py-gevent's copy of libev

During the exp-run in bug 197395, it was found that devel/py-gevent gives errors with clang 3.6.0:

http://package18.nyi.freebsd.org/data/headamd64PR197395-default/2015-02-11_23h04m51s/logs/errors/py27-gevent-1.0.1.log

This is because clang 3.6.0 defaults to C11, and libev puts its ecb_noreturn in the wrong place, at the end of a function declaration.

The placement was fixed by upstream here:

http://cvs.schmorp.de/libev/ev.c?r1=1.473&r2=1.474

but this also has a lot of other unneeded changes.  So I propose the following minimal fix, which changes just two lines.
Comment 1 Bugzilla Automation freebsd_committer 2015-02-20 22:38:03 UTC
Auto-assigned to maintainer sunpoet@FreeBSD.org
Comment 2 commit-hook freebsd_committer 2015-02-21 15:11:29 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Feb 21 15:11:22 UTC 2015
New revision: 379519
URL: https://svnweb.freebsd.org/changeset/ports/379519

Log:
  - Fix build with Clang 3.6.0

  PR:		197868
  Submitted by:	dim

Changes:
  head/devel/py-gevent/files/
  head/devel/py-gevent/files/patch-libev-ev.c
Comment 3 Po-Chuan Hsieh freebsd_committer 2015-02-21 15:13:11 UTC
Committed. Thanks!